{% extends "base.html" %}
{% block app_content %}
<h1 class="display-4 pt-md-3">Relay Search <span style="font-size: small;">LITE</span></h1>
  <p>The relay search tool displays data about single relays and bridges in the
Tor network. It provides useful information on how relays are configured along
with graphs about their past.</p>
  <form action="#">
    <div class="input-group">
      <input class="search-query form-control" name="query" id="query" placeholder="Query" type="text" autocorrect="off" autocapitalize="none">
      <span class="input-group-btn"><button id="do-search" class="btn btn-primary" type="button">Search</button></span>
    </div>
  </form>

    <div class="p-3 p-md-5 bg-light mt-3">
  <p>You can search for Tor relays and bridges by using keywords. In
particular, this tool enables you to search for (partial) nicknames (e.g.,
“moria”), IP addresses (e.g., “<a href="/rs?query=128.31.">128.31.</a>”), and
fingerprints (e.g., “<a href="/rs?query=9695DFC3">9695DFC3</a>”).  It is also
possible to combine searches, e.g., “<a href="/rs?query=moria%20128.31.">moria
128.31.</a>”. Finally, you can use qualifiers to search for relays in specific
countries (e.g., “<a href="/rs?query=moria%20country:us">moria country:us</a>”),
with specific contact information (e.g., “<a href="/rs?query=contact:arma">contact:arma</a>”), or with specific flags (e.g.,
“<a href="/rs?query=flag:Authority">flag:Authority</a>”).</p>
  <p>If you are searching for a bridge, you will need to search by the hashed
fingerprint. This prevents leaking the fingerprint of the bridge when
searching. You can find this in the <code>hashed-fingerprint</code> file in the
Tor data directory. On Debian systems, this is in <code>/var/lib/tor</code> but
may be in another location on your system. The location is specified as
<code>DataDirectory</code> in your <code>torrc</code>.</p>
  </div>
    
{% endblock %}